sdr::Traits< std::complex< double > > Class Template Reference

Template specialization of type traits for complex float scalar. More...

`#include <traits.hh>`

## Public Types

typedef std::complex< double > | Scalar
| The scalar type. More...
typedef double | RScalar
| The real scalar type. More...
typedef std::complex< double > | SScalar
| The compute (super) scalar type. More...

## Static Public Attributes

static const float | scale
| The scaleing factor from floating point to integer. More...
static const size_t | shift
| The scaleing factor from floating point to integer expressed as 2^exp. More...
static const Config::Type | scalarId = Config::Type_cf64
| The type id of the scalar type. More...

## Detailed Description

### template<>
class sdr::Traits< std::complex< double > >

Template specialization of type traits for complex float scalar.

## Member Typedef Documentation

typedef double sdr::Traits< std::complex< double > >::RScalar

The real scalar type.

typedef std::complex<double> sdr::Traits< std::complex< double > >::Scalar

The scalar type.

typedef std::complex<double> sdr::Traits< std::complex< double > >::SScalar

The compute (super) scalar type.

## Member Data Documentation

const Config::Type sdr::Traits< std::complex< double > >::scalarId = Config::Type_cf64

static

The type id of the scalar type.

const float sdr::Traits< std::complex< double > >::scale

static

The scaleing factor from floating point to integer.

const size_t sdr::Traits< std::complex< double > >::shift

static

The scaleing factor from floating point to integer expressed as 2^exp.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/traits.hh